import groovy.swing.SwingBuilder
import java.awt.BorderLayout as BL
import java.awt.FlowLayout
import java.awt.GridLayout
import javax.swing.*
import com.telelogic.cm.ccm_client.util.CcmSelectionSet
import com.telelogic.cm.ccm_client.CcmClient

def action()
{
	deliverFrame = new SwingBuilder().edt
	{
	    frame(title:'Deliver', size: [340, 340], locationRelativeTo: null, show: true)
	    {
		lookAndFeel("system")
		emptyBorder([20, 20, 20, 20], parent:true)
		borderLayout()
		label('Current Project: dak-1', constraints:BL.NORTH)
		topPanel = panel(constraints:BL.CENTER)
		{
		    data = [[product: "ABC"], [product: "DEF"]]
		    items = ['Product']

		    borderLayout()
		    scrollPane(size:[300, 240])
		    {
			productTable = table()
			{
			    tableModel(list: data)
			    {
				propertyColumn(header: 'Select products to deliver project to', propertyName: 'product', editable: false)
			    }
			}
		    }
		}
		buttonPanel = panel(constraints:BL.SOUTH)
		{
		    emptyBorder([10, 10, 10, 10])
		    flowLayout(new FlowLayout(FlowLayout.CENTER, 30, 5))
		    button(text:'Deliver',
		     actionPerformed: {})
		    button(text:'Cancel',
		     actionPerformed: {dispose()})
		}
	    }
	}
}